tide(1)

NAME
tide - Harmonic tide clock and tide predictor (command line client)

SYNOPSIS
tide [-b ``YYYY-MM-DD HH:MM''] [-ch pixels] [-cw pixels] [-dc color] [-Dc color] [-df ``format-string''] [-e ``YYYY-MM-DD HH:MM''] [-ec color] [-el y|n] [-em pSsMm] [-f c|h|i|l|p|t|v] [-fc color] [-fg color] [-ga aspect] [-gh pixels] [-gs d|l|s] [-gt y|n] [-gw pixels] [-hf ``format-string''] [-in y|n] [-l ``location name''] [-lw pixels] [-m a|b|c|C|g|k|l|m|p|r|s] [-mc color] [-Mc color] [-ml [-]N.NN(ft|m|kt)] [-nc color] [-o ``filename''] [-ph mm] [-pm mm] [-pw mm] [-s ``HH:MM''] [-tf ``format-string''] [-th characters] [-tl y|n] [-to opacity] [-tw characters] [-u ft|m] [-v] [-z y|n]

DESCRIPTION
XTide is a package that provides tide and current predictions in a wide variety of formats. Graphs, text listings, and calendars can be generated, or a tide clock can be provided on your desktop.

XTide can work with X-windows, plain text terminals, or the web. This is accomplished with three separate programs: the interactive interface (xtide), the non-interactive or command line interface (tide), and the web interface (xttpd).

tide is the non-interactive command line client for XTide 2. For a complete discussion, please see the verbose documentation at http://www.flaterco.com/xtide/.

CONFIGURATION
Unless a configuration file /etc/xtide.conf is supplied, you must set the environment variable HFILE_PATH to point to the harmonics files that should have been installed along with the xtide program. Example:
    export HFILE_PATH=/usr/local/share/xtide/harmonics.tcd
If a configuration file is used, the first line should consist of the colon-separated list of harmonics files (e.g. the HFILE_PATH line above without the "export HFILE_PATH=" part). The environment variable takes precedence over the configuration file.

Set the environment variable XTIDE_DEFAULT_LOCATION to the name of your favorite place if you want to skip the location-choosing step.

OPTIONS

-b ``YYYY-MM-DD HH:MM''
    Specify the begin (start) time for predictions using the ISO 8601 compliant format YYYY-MM-DD HH:MM, where hours range from 00 to 23. The timestamp is in the local time zone for the location, or in UTC if the -z setting is engaged. If clock mode is selected or if no -b is supplied, the current time will be used.

-ch pixels
    Height for tide clocks (default 312 pixels).

-cw pixels
    Width for tide clocks (default 84 pixels).

-dc color
    Daytime background color in tide graphs (default SkyBlue).

-Dc color
    Color of datum line in tide graphs (default white).

-df ``format-string''
    strftime(3) style format string for printing dates (default %Y-%m-%d).

-e ``YYYY-MM-DD HH:MM''
    Specify the end (stop) time for predictions in banner, calendar, alt. calendar, medium rare, plain, raw, or stats mode. Does not apply in graph and clock modes: the effective end time for graph and clock modes is entirely determined by the start time (-b), the width (-cw, -gw or -tw), and the aspect (-ga). The format and time zone are the same as for -b. If no -e is supplied, the end time will be set to four days after the begin time.

-ec color
    Foreground in tide graphs during outgoing tide (default SeaGreen).

-el y|n
    Select whether or not to draw datum and middle-level lines in tide graphs (default n).

-em pSsMm
    Events to suppress (p = phase of moon, S = sunrise, s = sunset, M = moonrise, m = moonset), or x to suppress none. E.g, to suppress all sun and moon events, set eventmask to the value pSsMm.

-f c|h|i|l|p|t|v
    Specify the output format as CSV, HTML, iCalendar, LaTeX, PNG, text, or SVG. The default is text.

-fc color
    Foreground in tide graphs during incoming tide (default Blue).

-fg color
    Color of text and other notations (default black).

-ga aspect
    Aspect for tide graphs, clocks, and banners (default 1.0). This controls not the width or height of the window but rather the relative scaling of the X and Y axes in the plot of the tide curve.

-gh pixels
    Height for tide graphs (default 312 pixels).

-gs d|l|s
    Style of graphs and clocks. Valid values: d (default), l (line), s (semitransparent).

-gt y|n
    Select whether or not to label tenths of units in tide graphs (default n).

-gw pixels
    Width for tide graphs (default 960 pixels).

-hf ``format-string''
    strftime(3) style format string for printing hour labels on time axis (default %l).

-in y|n
    Select whether or not to use inferred values for some constituents (default n). For expert use only.

-l ``location name''
    Specify a location for tide predictions.

-lw pixels
    Width of line in graph styles l and s (default 2.5 pixels).

-m a|b|c|C|g|k|l|m|p|r|s
    Specify mode to be about, banner, calendar, alt. calendar, graph, clock, list, medium rare, plain, raw, or stats. The default is plain.

-mc color
    Color of mark line in graphs (default red).

-Mc color
    Color of middle-level line in tide graphs (default yellow).

-ml [-]N.NN(ft|m|kt)
    Specify the mark level to be used in predictions. The predictions will include the times when the tide level crosses the mark. Not supported in clock mode. Example usage: -ml -0.25ft

-nc color
    Nighttime background color in tide graphs (default DeepSkyBlue).

-o ``filename''
    Redirect output to the specified file (appends).

-ph mm
    Nominal length of paper in LaTeX output (default 420 mm). This need not match your actual paper; use "Shrink oversized pages" in print options.

-pm mm
    Nominal width of top, bottom, left and right margins in LaTeX output (default 10 mm). Actual width will depend on print scaling.

-pw mm
    Nominal width of paper in LaTeX output (default 297 mm). This need not match your actual paper; use "Shrink oversized pages" in print options.

-s ``HH:MM''
    Specify the step interval, in hours and minutes, for raw or medium rare mode predictions. The default is one hour.

-tf ``format-string''
    strftime(3) style format string for printing times (default %l:%M %p %Z).

-th characters
    Height of ASCII graphs and clocks (default 24 characters).

-tl y|n
    Select whether or not to draw depth lines on top of the tide graph (default n).

-to opacity
    Opacity of the fill in graph style s (semitransparent) (default 0.65).

-tw characters
    Width of ASCII graphs, clocks, banners, and calendars (default 79 characters).

-u ft|m
    Preferred units of length (default no preference).

-v  Print version string and exit.

-z y|n
    Select whether or not to coerce all time zones to UTC (default n).

SEE ALSO
xtide(1), xttpd(8), http://www.flaterco.com/xtide/.